## setOffset

### Description

Sets the offset of the list (the same as you would scroll) - default is 0.

### Parameters

1. `number` The offset value

### Returns

1. `object` The object in use

### Usage

* Creates a default list with 6 entries and sets the offset to 3.

```lua
local mainFrame = basalt.createFrame()
local aList = mainFrame:addList()
      :addItem("1. Entry")
      :addItem("2. Entry")
      :addItem("3. Entry")
      :addItem("4. Entry")
      :addItem("5. Entry")
      :addItem("6. Entry")
      :setOffset(3)
```

```xml
<list offset="3">
  <item><text>1. Entry</text></item>
  <item><text>2. Entry</text></item>
  <item><text>3. Entry</text></item>
  <item><text>4. Entry</text></item>
  <item><text>5. Entry</text></item>
  <item><text>6. Entry</text></item>
</list>
```
